# -*- rpm-spec -*-
# $Id: kernel-source-madwifi,v 1.5 2003/09/30 17:18:49 ab Exp $
##
%define module_name	madwifi
%define module_version	0.8.3.2

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: alt4
Provides: kernel-source-%module_name-%module_version
Summary: Linux %module_name Atheros WiFi chipset series module sources
License: GPL or BSD
Group: Development/Kernel
Url: http://sourceforge.net/projects/madwifi/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: %module_name-%module_version.tar.bz2
# Patch to correct Link Quality and Cisco VPN client interoperability by Tom Marshall
Patch0: %module_name-linkquality-vpn-tom-marshall.patch
Patch1: %module_name-Makefile.inc-alt.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
%module_name module sources for Linux kernel

%prep
%setup -q -n %module_name-%module_version
%patch -p1
%patch1 -p1

%install
%__mkdir_p %kernel_srcdir

pushd ..
tar jcf %kernel_srcdir/%name-%version.tar.bz2 %module_name-%module_version
popd

%files
%attr(0644,root,root) %kernel_src/%name-%version.tar.bz2

%changelog
* Tue Sep 30 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt4
- Fixed:
   + -O2 was missed from COPTS in Makefile.inc

* Thu Sep 18 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt3
- Snapshot of 2003/09/18
- Added:
   + Patch from Tom Marshall to fix:
     + link quality reporting
     + Cisco VPN client interoperability
     + Transfer speed for WEP-enabled 802.11g 
       (~20Mbit/s on OSI level 7 now, was about 1Mbit/s)

* Fri Aug 22 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt2
- Snapshot of 2003/08/22
- Fixed:
   + Some 'NETDEV WATCHDOG: ath0: transmit timed out' errors
   + Hangs during module removal
- Added:
   + ADHOC mode enabled

* Sat Aug 16 2003 Alexander Bokovoy <ab@altlinux.ru> 0.8.3.2-alt1
- Initial release





